Bug 236539 - Review Request: perl-Math-Vec - Perl Math::Vec module
Review Request: perl-Math-Vec - Perl Math::Vec module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-16 05:34 EDT by Roozbeh Pournader
Modified: 2016-08-14 12:24 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-27 04:10:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bjohnson: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Roozbeh Pournader 2007-04-16 05:34:07 EDT
Spec URL: http://guava.farsiweb.info/~roozbeh/perl-Math-Vec.spec
SRPM URL: http://guava.farsiweb.info/~roozbeh/perl-Math-Vec-0.04-1.src.rpm
Description: 
Perl package for Math::Vec support.
Comment 1 Bernard Johnson 2007-05-03 04:11:35 EDT
Maybe change the description to:
"Object-Oriented Vector Math Methods in Perl" which is a little more descriptive
(from the website)

BuildRequires:  perl
is superflous because perl(Module::Build) will automatically pull it in

If you want to enable the pod tests, you might want to:
export TEST_POD_COVERAGE=1
export TEST_POD=1
./Build test

I believe the preferred license string is "GPL or Artistic" for dual
GPL/Artistic packages.

I will follow up with a review soon.
Comment 2 Bernard Johnson 2007-05-03 13:02:43 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: FC-6 / i386
 [x] Rpmlint output: None
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : 96877cb54704426ce333b13a8380bfbf
     MD5SUM upstream package: 96877cb54704426ce333b13a8380bfbf
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: FC-6 / i386
 [-] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.


=== Issues ===
1.  Change license tag to "GPL or Artistic"
2.  Use wget -N or equivalent to download source tarball and preserve timestamp.
3.  Remove BR of perl, superflous since perl(Module::Build) will require perl.
4.  Change description as shown in comment #1


=== Final Notes ===
1.  Perhaps enable pod testing (see comment #1)
Comment 3 Roozbeh Pournader 2007-05-04 11:53:50 EDT
Thanks for the review. Incorporated all feedback. Updates spec file and SRPM here:

Spec URL: http://guava.farsiweb.info/~roozbeh/perl-Math-Vec.spec
SRPM URL: http://guava.farsiweb.info/~roozbeh/perl-Math-Vec-0.04-2.src.rpm
Comment 4 Bernard Johnson 2007-05-04 12:37:01 EDT
================
*** APPROVED ***
================
Comment 5 Roozbeh Pournader 2007-05-04 13:16:13 EDT
New Package CVS Request
=======================
Package Name: perl-Math-Vec
Short Description: Perl Math::Vec module
Owners: roozbeh@farsiweb.info
Branches: FC-5 FC-6 EL-5
InitialCC: 
Comment 6 Dennis Gilmore 2007-05-05 12:03:15 EDT
i added fedora-perl-devel-list@redhat.com to the InitialCC list  as all perl 
modules are cc'd there.

cvs done
Comment 7 Bernard Johnson 2007-06-14 14:59:09 EDT
This package appears to have been successfully imported and built.  If there are
no further issues with this review, please close the review in accordance with
the Fedora Package Contributor Guide:
http://fedoraproject.org/wiki/PackageMaintainers/Join#head-b43ecb6816897576064ffea1121d8d08de01e350
Comment 8 Bernard Johnson 2007-06-26 16:30:17 EDT
ping
Comment 9 Roozbeh Pournader 2007-06-27 04:10:23 EDT
Closing per comment #7

Note You need to log in before you can comment on or make changes to this bug.